<?php
/**
 * @package WordPress
 * @subpackage Dylan
 */

get_header();
?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes(); ?>>

<head profile="http://gmpg.org/xfn/11">
<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
<title><?php _e(dylan_title()); ?> | <?php _e(bloginfo('name')); ?></title>
<meta name="generator" content="WordPress <?php bloginfo('version'); ?>" /> <!-- leave this for stats -->
<link rel="alternate" type="application/rss+xml" title="<?php bloginfo('name'); ?> RSS Feed" href="<?php bloginfo('rss2_url'); ?>" />
<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
<style type="text/css" media="all">
@import url("<?php bloginfo('template_directory'); ?>/style/reset.css");
@import url("<?php bloginfo('stylesheet_url'); ?>");
<?php
// Check to see whether it needs comments CSS or not
if ( $withcomments || is_single() ) {?>
	@import url("<?php bloginfo('template_directory'); ?>/style/forms.css");
	@import url("<?php bloginfo('template_directory'); ?>/comments.css");
<?php } ?>
@import url("<?php bloginfo('template_directory'); ?>/customise.css");
</style>
<link rel="stylesheet" type="text/css" media="print" title="Print version" href="<?php bloginfo('template_directory'); ?>/style/print.css" />
<link rel="stylesheet" type="text/css" media="handheld" title="Mobile version" href="<?php bloginfo('template_directory'); ?>/style/handheld.css" />
<?php //Internet Explorer Specific CSS ?>
<!--[if IE 7]><link rel="stylesheet" type="text/css" href="<?php bloginfo('template_directory'); ?>/style/ie7.css" media="all"><![endif]-->
<!--[if lt IE 7]><link rel="stylesheet" type="text/css" href="<?php bloginfo('template_directory'); ?>/style/ie6.css" media="all"><![endif]-->
<?php if ( is_singular() ) wp_enqueue_script( 'comment-reply' ); ?>
<?php wp_head(); ?>
</head>
<body id="<?php _e(dylan_body_id()); ?>" class="<?php echo dylan_body_class(); ?>">
<ul id="shortcuts" class="hide">
	<li><a href="#primarycontent">Skip to content</a></li>
    <?php if(!is_single()){ // don't show skip to search form link if we're on a post - because, there isn't a sidebar on those pages ?>
    <li><a href="#secondarycontent">Skip to search form</a></li>
    <?php } ?>
</ul>
<div id="container">

<div id="header">
	<div id="branding">
    <?php if(is_home()) { /* This is the homepage so the site name/logo is a <h1> */ ?>
		<h1 id="logo"><?php bloginfo('name'); ?></h1>
        <?php } else { /* this isn't the homepage so the site name/logo is a <span> plus a link */ ?>
        <span id="logo"><a href="<?php echo get_option('home'); ?>/"><?php bloginfo('name'); ?></a></span>
        <?php } ?>
		<p id="description"><?php bloginfo('description'); ?></p>
	</div>
	<?php wp_page_menu('title_li=0' ); ?>
</div>
<div id="content_container">
